<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SpaceFighter2020: src/GameData.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SpaceFighter2020
   </div>
   <div id="projectbrief">This documentation reffers to the game Space Fighter 2020 created for pa2 course. Game is side-scrolling shooter where the goal is to get on the end of the level and kill as much as enemy ships as possible. Player can pick up bonuses for repairing point of health or upgrading his weapons.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">GameData.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="GameData_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef GameData_H</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define GameData_H</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include&lt;string&gt;</span></div>
<div class="line"><a name="l00008"></a><span class="lineno"><a class="line" href="namespaceGameData.html">    8</a></span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceGameData.html">GameData</a>{</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> std::string <a class="code" href="namespaceGameData.html#ad2eb7e78695db8310b24f49dbef71858">m_MapsPath</a>; </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> std::string <a class="code" href="namespaceGameData.html#add24bfb80566a8d1f4a163cef823fd6a">m_ScorePath</a>; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a648024b133481fc22d13b1a860b33d2c">m_TopBorderHeight</a>;</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a80fdf0efe5acc638e4f57975202f4516">m_GameWindowHeight</a>; </div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a0bfc21f5eb1dd275e5bb6091b0da19bf">m_GameWindowWidth</a>; </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a2f057848d4a85df61ca13dda3f6c676b">m_HUDHeight</a>;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a37c2367c5e6acf719699e2579664f809">m_FPS</a>;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#acf3fd19414c95fc414f257ac4606d6c7">m_EndAfterLastEnemy</a>; </div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a6f82c383572d9a1741af535190d6c8f8">m_TopScore</a>; </div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a464301794d1f84cbea610935a38debd1">m_ScoreForFinishing</a>;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a31cebb7d4717bf171df527cecb8471e0">m_ScorePerHealth</a>;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#ab02272a71e004d519f41acec7840b9ab">m_PlayerMaxHealth</a>;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a926f6e06cde2873c21d674d6d4049b67">m_PlayerStartHealth</a>;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a2cad14095fd0011e00b2075d84ab4324">m_PlayerInvincibilityDuration</a>; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a52b55fdb990119e19b9d56c2f8efa937">m_MoveUpKey</a>; </div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a6f7da666f64327f737a0caabadaa02c3">m_MoveDownKey</a>; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a9c90c863638112b753efe5d443f8fec8">m_ExitKey</a>; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a2eb07b6a2368858122de33e1028273d4">m_BonusChance</a>; </div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#aadcc82b2a3f65146ab83197ecfcc5654">m_BonusSpeed</a>; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a95d8fde1cf03e57394a6da5a455de9d7">m_MaxWeaponLevel</a>;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160; </div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a3096c27f7cd6ab521d92dd43f88741df">m_MachineGunFireRate</a>; </div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a2723131b19384dbaddfa4dca153138f1">m_BulletSpeed</a>; </div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a5b23586a9371ab6326455119ea2d0aa6">m_BulletDmg</a>;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#ae49dcdb5b70000e9dfe98b3374cbeb82">m_CannonFireRate</a>; </div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a9fc0a8c50c9b007dc25f6cfc37e1f0d7">m_ShellSpeed</a>; </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a6ca4361994031cef98a2f1abaf9326c6">m_ShellDmg</a>;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#adc5503937fbc524c7858d1b80cdf256c">m_RocketLauncherFireRate</a>; </div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a229cae9e6f78629826bfd8cbe3c3d2cc">m_RocketSpeed</a>; </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#ab880b2c6c9c3abbc28cb774071998903">m_RocketDmg</a>;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a9e2aad48b70ae433349bc6b5bf1d8547">m_MiniRocketDmg</a>;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#ad6ac57c67549e9f50529788048008145">m_MiniRocketSpeed</a>; </div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a480009dec6bd88c48520c3995a1d8da0">m_FighterScoreValue</a>;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a85cf38a726649643682dc4883b9923fb">m_FighterHealth</a>;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a3f2e9b988004a307f283e77b434ad549">m_FighterFireRate</a>; </div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#aef61b00eb5bdc7bdaf49109b817e0c1b">m_FighterSpeed</a>; </div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#af0d97878391b2e7c68e1c2802e7549a4">m_BomberScoreValue</a>;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a79fd3be7e472555a4517f2b63e92bbd6">m_BomberHealth</a>;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a7d4cf927fab47a673a6f98e040614059">m_BomberFireRate</a>; </div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a51cd41a7d16dafacfc59ccfbf3141239">m_BomberSpeed</a>; </div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a6e9a8cc12df4afff459c39ee5b9a1e65">m_DroneScoreValue</a>;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a65941fd7738aa3ddeb1ae40b4f4cb908">m_DroneHealth</a>;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#acaa4894ba9888557edd97891093edc5a">m_DroneFireRate</a>; </div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a44db7b7f25ebf278b20fc6022bbb651f">m_DroneSpeed</a>; </div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#aba81d622b20cf2dba48f10889fa70971">m_CruiserScoreValue</a>;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a1a6c529504abba23c106933eb606fb93">m_CruiserHealth</a>;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#aa194f4fdc9853298f51cf0dd12dcf574">m_CruiserSpeed</a>;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a5755952c7f77efbb462a944133c56773">m_CruiserFireRate</a>; </div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#aa395afeccac9dd8d87e09a27274c7c3b">m_CruiserTravelTime</a>; </div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespaceGameData.html#a088564ededaf5d6b56988b19a78e7705">m_CruiserFireTime</a>; </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;}</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160; </div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160; </div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* GameData_H */</span><span class="preprocessor"></span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="anamespaceGameData_html_a31cebb7d4717bf171df527cecb8471e0"><div class="ttname"><a href="namespaceGameData.html#a31cebb7d4717bf171df527cecb8471e0">GameData::m_ScorePerHealth</a></div><div class="ttdeci">const int m_ScorePerHealth</div><div class="ttdef"><b>Definition:</b> GameData.cpp:14</div></div>
<div class="ttc" id="anamespaceGameData_html_a44db7b7f25ebf278b20fc6022bbb651f"><div class="ttname"><a href="namespaceGameData.html#a44db7b7f25ebf278b20fc6022bbb651f">GameData::m_DroneSpeed</a></div><div class="ttdeci">const int m_DroneSpeed</div><div class="ttdef"><b>Definition:</b> GameData.cpp:55</div></div>
<div class="ttc" id="anamespaceGameData_html_a7d4cf927fab47a673a6f98e040614059"><div class="ttname"><a href="namespaceGameData.html#a7d4cf927fab47a673a6f98e040614059">GameData::m_BomberFireRate</a></div><div class="ttdeci">const int m_BomberFireRate</div><div class="ttdef"><b>Definition:</b> GameData.cpp:49</div></div>
<div class="ttc" id="anamespaceGameData_html_ad2eb7e78695db8310b24f49dbef71858"><div class="ttname"><a href="namespaceGameData.html#ad2eb7e78695db8310b24f49dbef71858">GameData::m_MapsPath</a></div><div class="ttdeci">const std::string m_MapsPath</div><div class="ttdef"><b>Definition:</b> GameData.cpp:3</div></div>
<div class="ttc" id="anamespaceGameData_html_a6f7da666f64327f737a0caabadaa02c3"><div class="ttname"><a href="namespaceGameData.html#a6f7da666f64327f737a0caabadaa02c3">GameData::m_MoveDownKey</a></div><div class="ttdeci">const int m_MoveDownKey</div><div class="ttdef"><b>Definition:</b> GameData.cpp:20</div></div>
<div class="ttc" id="anamespaceGameData_html_a464301794d1f84cbea610935a38debd1"><div class="ttname"><a href="namespaceGameData.html#a464301794d1f84cbea610935a38debd1">GameData::m_ScoreForFinishing</a></div><div class="ttdeci">const int m_ScoreForFinishing</div><div class="ttdef"><b>Definition:</b> GameData.cpp:13</div></div>
<div class="ttc" id="anamespaceGameData_html"><div class="ttname"><a href="namespaceGameData.html">GameData</a></div><div class="ttdoc">Constains all constants.</div><div class="ttdef"><b>Definition:</b> GameData.h:8</div></div>
<div class="ttc" id="anamespaceGameData_html_add24bfb80566a8d1f4a163cef823fd6a"><div class="ttname"><a href="namespaceGameData.html#add24bfb80566a8d1f4a163cef823fd6a">GameData::m_ScorePath</a></div><div class="ttdeci">const std::string m_ScorePath</div><div class="ttdef"><b>Definition:</b> GameData.cpp:4</div></div>
<div class="ttc" id="anamespaceGameData_html_acaa4894ba9888557edd97891093edc5a"><div class="ttname"><a href="namespaceGameData.html#acaa4894ba9888557edd97891093edc5a">GameData::m_DroneFireRate</a></div><div class="ttdeci">const int m_DroneFireRate</div><div class="ttdef"><b>Definition:</b> GameData.cpp:54</div></div>
<div class="ttc" id="anamespaceGameData_html_a85cf38a726649643682dc4883b9923fb"><div class="ttname"><a href="namespaceGameData.html#a85cf38a726649643682dc4883b9923fb">GameData::m_FighterHealth</a></div><div class="ttdeci">const int m_FighterHealth</div><div class="ttdef"><b>Definition:</b> GameData.cpp:43</div></div>
<div class="ttc" id="anamespaceGameData_html_adc5503937fbc524c7858d1b80cdf256c"><div class="ttname"><a href="namespaceGameData.html#adc5503937fbc524c7858d1b80cdf256c">GameData::m_RocketLauncherFireRate</a></div><div class="ttdeci">const int m_RocketLauncherFireRate</div><div class="ttdef"><b>Definition:</b> GameData.cpp:36</div></div>
<div class="ttc" id="anamespaceGameData_html_aa194f4fdc9853298f51cf0dd12dcf574"><div class="ttname"><a href="namespaceGameData.html#aa194f4fdc9853298f51cf0dd12dcf574">GameData::m_CruiserSpeed</a></div><div class="ttdeci">const int m_CruiserSpeed</div><div class="ttdef"><b>Definition:</b> GameData.cpp:59</div></div>
<div class="ttc" id="anamespaceGameData_html_a5b23586a9371ab6326455119ea2d0aa6"><div class="ttname"><a href="namespaceGameData.html#a5b23586a9371ab6326455119ea2d0aa6">GameData::m_BulletDmg</a></div><div class="ttdeci">const int m_BulletDmg</div><div class="ttdef"><b>Definition:</b> GameData.cpp:30</div></div>
<div class="ttc" id="anamespaceGameData_html_a1a6c529504abba23c106933eb606fb93"><div class="ttname"><a href="namespaceGameData.html#a1a6c529504abba23c106933eb606fb93">GameData::m_CruiserHealth</a></div><div class="ttdeci">const int m_CruiserHealth</div><div class="ttdef"><b>Definition:</b> GameData.cpp:58</div></div>
<div class="ttc" id="anamespaceGameData_html_a6ca4361994031cef98a2f1abaf9326c6"><div class="ttname"><a href="namespaceGameData.html#a6ca4361994031cef98a2f1abaf9326c6">GameData::m_ShellDmg</a></div><div class="ttdeci">const int m_ShellDmg</div><div class="ttdef"><b>Definition:</b> GameData.cpp:34</div></div>
<div class="ttc" id="anamespaceGameData_html_a2eb07b6a2368858122de33e1028273d4"><div class="ttname"><a href="namespaceGameData.html#a2eb07b6a2368858122de33e1028273d4">GameData::m_BonusChance</a></div><div class="ttdeci">const int m_BonusChance</div><div class="ttdef"><b>Definition:</b> GameData.cpp:23</div></div>
<div class="ttc" id="anamespaceGameData_html_a65941fd7738aa3ddeb1ae40b4f4cb908"><div class="ttname"><a href="namespaceGameData.html#a65941fd7738aa3ddeb1ae40b4f4cb908">GameData::m_DroneHealth</a></div><div class="ttdeci">const int m_DroneHealth</div><div class="ttdef"><b>Definition:</b> GameData.cpp:53</div></div>
<div class="ttc" id="anamespaceGameData_html_aba81d622b20cf2dba48f10889fa70971"><div class="ttname"><a href="namespaceGameData.html#aba81d622b20cf2dba48f10889fa70971">GameData::m_CruiserScoreValue</a></div><div class="ttdeci">const int m_CruiserScoreValue</div><div class="ttdef"><b>Definition:</b> GameData.cpp:57</div></div>
<div class="ttc" id="anamespaceGameData_html_a6e9a8cc12df4afff459c39ee5b9a1e65"><div class="ttname"><a href="namespaceGameData.html#a6e9a8cc12df4afff459c39ee5b9a1e65">GameData::m_DroneScoreValue</a></div><div class="ttdeci">const int m_DroneScoreValue</div><div class="ttdef"><b>Definition:</b> GameData.cpp:52</div></div>
<div class="ttc" id="anamespaceGameData_html_a3096c27f7cd6ab521d92dd43f88741df"><div class="ttname"><a href="namespaceGameData.html#a3096c27f7cd6ab521d92dd43f88741df">GameData::m_MachineGunFireRate</a></div><div class="ttdeci">const int m_MachineGunFireRate</div><div class="ttdef"><b>Definition:</b> GameData.cpp:28</div></div>
<div class="ttc" id="anamespaceGameData_html_aa395afeccac9dd8d87e09a27274c7c3b"><div class="ttname"><a href="namespaceGameData.html#aa395afeccac9dd8d87e09a27274c7c3b">GameData::m_CruiserTravelTime</a></div><div class="ttdeci">const int m_CruiserTravelTime</div><div class="ttdef"><b>Definition:</b> GameData.cpp:61</div></div>
<div class="ttc" id="anamespaceGameData_html_a0bfc21f5eb1dd275e5bb6091b0da19bf"><div class="ttname"><a href="namespaceGameData.html#a0bfc21f5eb1dd275e5bb6091b0da19bf">GameData::m_GameWindowWidth</a></div><div class="ttdeci">const int m_GameWindowWidth</div><div class="ttdef"><b>Definition:</b> GameData.cpp:8</div></div>
<div class="ttc" id="anamespaceGameData_html_aef61b00eb5bdc7bdaf49109b817e0c1b"><div class="ttname"><a href="namespaceGameData.html#aef61b00eb5bdc7bdaf49109b817e0c1b">GameData::m_FighterSpeed</a></div><div class="ttdeci">const int m_FighterSpeed</div><div class="ttdef"><b>Definition:</b> GameData.cpp:45</div></div>
<div class="ttc" id="anamespaceGameData_html_a2f057848d4a85df61ca13dda3f6c676b"><div class="ttname"><a href="namespaceGameData.html#a2f057848d4a85df61ca13dda3f6c676b">GameData::m_HUDHeight</a></div><div class="ttdeci">const int m_HUDHeight</div><div class="ttdef"><b>Definition:</b> GameData.cpp:9</div></div>
<div class="ttc" id="anamespaceGameData_html_ab880b2c6c9c3abbc28cb774071998903"><div class="ttname"><a href="namespaceGameData.html#ab880b2c6c9c3abbc28cb774071998903">GameData::m_RocketDmg</a></div><div class="ttdeci">const int m_RocketDmg</div><div class="ttdef"><b>Definition:</b> GameData.cpp:38</div></div>
<div class="ttc" id="anamespaceGameData_html_a9e2aad48b70ae433349bc6b5bf1d8547"><div class="ttname"><a href="namespaceGameData.html#a9e2aad48b70ae433349bc6b5bf1d8547">GameData::m_MiniRocketDmg</a></div><div class="ttdeci">const int m_MiniRocketDmg</div><div class="ttdef"><b>Definition:</b> GameData.cpp:39</div></div>
<div class="ttc" id="anamespaceGameData_html_a648024b133481fc22d13b1a860b33d2c"><div class="ttname"><a href="namespaceGameData.html#a648024b133481fc22d13b1a860b33d2c">GameData::m_TopBorderHeight</a></div><div class="ttdeci">const int m_TopBorderHeight</div><div class="ttdef"><b>Definition:</b> GameData.cpp:6</div></div>
<div class="ttc" id="anamespaceGameData_html_af0d97878391b2e7c68e1c2802e7549a4"><div class="ttname"><a href="namespaceGameData.html#af0d97878391b2e7c68e1c2802e7549a4">GameData::m_BomberScoreValue</a></div><div class="ttdeci">const int m_BomberScoreValue</div><div class="ttdef"><b>Definition:</b> GameData.cpp:47</div></div>
<div class="ttc" id="anamespaceGameData_html_a37c2367c5e6acf719699e2579664f809"><div class="ttname"><a href="namespaceGameData.html#a37c2367c5e6acf719699e2579664f809">GameData::m_FPS</a></div><div class="ttdeci">const int m_FPS</div><div class="ttdef"><b>Definition:</b> GameData.cpp:10</div></div>
<div class="ttc" id="anamespaceGameData_html_ae49dcdb5b70000e9dfe98b3374cbeb82"><div class="ttname"><a href="namespaceGameData.html#ae49dcdb5b70000e9dfe98b3374cbeb82">GameData::m_CannonFireRate</a></div><div class="ttdeci">const int m_CannonFireRate</div><div class="ttdef"><b>Definition:</b> GameData.cpp:32</div></div>
<div class="ttc" id="anamespaceGameData_html_a52b55fdb990119e19b9d56c2f8efa937"><div class="ttname"><a href="namespaceGameData.html#a52b55fdb990119e19b9d56c2f8efa937">GameData::m_MoveUpKey</a></div><div class="ttdeci">const int m_MoveUpKey</div><div class="ttdef"><b>Definition:</b> GameData.cpp:19</div></div>
<div class="ttc" id="anamespaceGameData_html_ad6ac57c67549e9f50529788048008145"><div class="ttname"><a href="namespaceGameData.html#ad6ac57c67549e9f50529788048008145">GameData::m_MiniRocketSpeed</a></div><div class="ttdeci">const int m_MiniRocketSpeed</div><div class="ttdef"><b>Definition:</b> GameData.cpp:40</div></div>
<div class="ttc" id="anamespaceGameData_html_a926f6e06cde2873c21d674d6d4049b67"><div class="ttname"><a href="namespaceGameData.html#a926f6e06cde2873c21d674d6d4049b67">GameData::m_PlayerStartHealth</a></div><div class="ttdeci">const int m_PlayerStartHealth</div><div class="ttdef"><b>Definition:</b> GameData.cpp:17</div></div>
<div class="ttc" id="anamespaceGameData_html_a2723131b19384dbaddfa4dca153138f1"><div class="ttname"><a href="namespaceGameData.html#a2723131b19384dbaddfa4dca153138f1">GameData::m_BulletSpeed</a></div><div class="ttdeci">const int m_BulletSpeed</div><div class="ttdef"><b>Definition:</b> GameData.cpp:29</div></div>
<div class="ttc" id="anamespaceGameData_html_a3f2e9b988004a307f283e77b434ad549"><div class="ttname"><a href="namespaceGameData.html#a3f2e9b988004a307f283e77b434ad549">GameData::m_FighterFireRate</a></div><div class="ttdeci">const int m_FighterFireRate</div><div class="ttdef"><b>Definition:</b> GameData.cpp:44</div></div>
<div class="ttc" id="anamespaceGameData_html_aadcc82b2a3f65146ab83197ecfcc5654"><div class="ttname"><a href="namespaceGameData.html#aadcc82b2a3f65146ab83197ecfcc5654">GameData::m_BonusSpeed</a></div><div class="ttdeci">const int m_BonusSpeed</div><div class="ttdef"><b>Definition:</b> GameData.cpp:24</div></div>
<div class="ttc" id="anamespaceGameData_html_a79fd3be7e472555a4517f2b63e92bbd6"><div class="ttname"><a href="namespaceGameData.html#a79fd3be7e472555a4517f2b63e92bbd6">GameData::m_BomberHealth</a></div><div class="ttdeci">const int m_BomberHealth</div><div class="ttdef"><b>Definition:</b> GameData.cpp:48</div></div>
<div class="ttc" id="anamespaceGameData_html_a51cd41a7d16dafacfc59ccfbf3141239"><div class="ttname"><a href="namespaceGameData.html#a51cd41a7d16dafacfc59ccfbf3141239">GameData::m_BomberSpeed</a></div><div class="ttdeci">const int m_BomberSpeed</div><div class="ttdef"><b>Definition:</b> GameData.cpp:50</div></div>
<div class="ttc" id="anamespaceGameData_html_a6f82c383572d9a1741af535190d6c8f8"><div class="ttname"><a href="namespaceGameData.html#a6f82c383572d9a1741af535190d6c8f8">GameData::m_TopScore</a></div><div class="ttdeci">const int m_TopScore</div><div class="ttdef"><b>Definition:</b> GameData.cpp:12</div></div>
<div class="ttc" id="anamespaceGameData_html_a088564ededaf5d6b56988b19a78e7705"><div class="ttname"><a href="namespaceGameData.html#a088564ededaf5d6b56988b19a78e7705">GameData::m_CruiserFireTime</a></div><div class="ttdeci">const int m_CruiserFireTime</div><div class="ttdef"><b>Definition:</b> GameData.cpp:62</div></div>
<div class="ttc" id="anamespaceGameData_html_a2cad14095fd0011e00b2075d84ab4324"><div class="ttname"><a href="namespaceGameData.html#a2cad14095fd0011e00b2075d84ab4324">GameData::m_PlayerInvincibilityDuration</a></div><div class="ttdeci">const int m_PlayerInvincibilityDuration</div><div class="ttdef"><b>Definition:</b> GameData.cpp:18</div></div>
<div class="ttc" id="anamespaceGameData_html_a229cae9e6f78629826bfd8cbe3c3d2cc"><div class="ttname"><a href="namespaceGameData.html#a229cae9e6f78629826bfd8cbe3c3d2cc">GameData::m_RocketSpeed</a></div><div class="ttdeci">const int m_RocketSpeed</div><div class="ttdef"><b>Definition:</b> GameData.cpp:37</div></div>
<div class="ttc" id="anamespaceGameData_html_acf3fd19414c95fc414f257ac4606d6c7"><div class="ttname"><a href="namespaceGameData.html#acf3fd19414c95fc414f257ac4606d6c7">GameData::m_EndAfterLastEnemy</a></div><div class="ttdeci">const int m_EndAfterLastEnemy</div><div class="ttdef"><b>Definition:</b> GameData.cpp:11</div></div>
<div class="ttc" id="anamespaceGameData_html_a95d8fde1cf03e57394a6da5a455de9d7"><div class="ttname"><a href="namespaceGameData.html#a95d8fde1cf03e57394a6da5a455de9d7">GameData::m_MaxWeaponLevel</a></div><div class="ttdeci">const int m_MaxWeaponLevel</div><div class="ttdef"><b>Definition:</b> GameData.cpp:26</div></div>
<div class="ttc" id="anamespaceGameData_html_a80fdf0efe5acc638e4f57975202f4516"><div class="ttname"><a href="namespaceGameData.html#a80fdf0efe5acc638e4f57975202f4516">GameData::m_GameWindowHeight</a></div><div class="ttdeci">const int m_GameWindowHeight</div><div class="ttdef"><b>Definition:</b> GameData.cpp:7</div></div>
<div class="ttc" id="anamespaceGameData_html_a5755952c7f77efbb462a944133c56773"><div class="ttname"><a href="namespaceGameData.html#a5755952c7f77efbb462a944133c56773">GameData::m_CruiserFireRate</a></div><div class="ttdeci">const int m_CruiserFireRate</div><div class="ttdef"><b>Definition:</b> GameData.cpp:60</div></div>
<div class="ttc" id="anamespaceGameData_html_a9fc0a8c50c9b007dc25f6cfc37e1f0d7"><div class="ttname"><a href="namespaceGameData.html#a9fc0a8c50c9b007dc25f6cfc37e1f0d7">GameData::m_ShellSpeed</a></div><div class="ttdeci">const int m_ShellSpeed</div><div class="ttdef"><b>Definition:</b> GameData.cpp:33</div></div>
<div class="ttc" id="anamespaceGameData_html_a9c90c863638112b753efe5d443f8fec8"><div class="ttname"><a href="namespaceGameData.html#a9c90c863638112b753efe5d443f8fec8">GameData::m_ExitKey</a></div><div class="ttdeci">const int m_ExitKey</div><div class="ttdef"><b>Definition:</b> GameData.cpp:21</div></div>
<div class="ttc" id="anamespaceGameData_html_a480009dec6bd88c48520c3995a1d8da0"><div class="ttname"><a href="namespaceGameData.html#a480009dec6bd88c48520c3995a1d8da0">GameData::m_FighterScoreValue</a></div><div class="ttdeci">const int m_FighterScoreValue</div><div class="ttdef"><b>Definition:</b> GameData.cpp:42</div></div>
<div class="ttc" id="anamespaceGameData_html_ab02272a71e004d519f41acec7840b9ab"><div class="ttname"><a href="namespaceGameData.html#ab02272a71e004d519f41acec7840b9ab">GameData::m_PlayerMaxHealth</a></div><div class="ttdeci">const int m_PlayerMaxHealth</div><div class="ttdef"><b>Definition:</b> GameData.cpp:16</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
